Summary: simple sequence-diagram image generator
Summary(ja): シンプルなテキストからシーケンス図を生成するツール
Name: seqdiag
Version: 0.9.6
Release: 1%{?_dist_release}
Group: Applications/Text

License: Apache License 2.0
URL: http://blockdiag.com/ja/seqdiag/
Source0: https://pypi.python.org/packages/source/s/seqdiag/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
BuildRequires: python-rpm-macros
Requires: python >= 2.4
Requires: python(abi) = %pyver
Requires: blockdiag

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
seqdiag generate sequence-diagram image file from spec-text file.


%package -n python3-seqdiag
Summary: simple sequence-diagram image generator
Summary(ja): シンプルなテキストからシーケンス図を生成するツール
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-rpm-macros
Requires: python3
Requires: python3-blockdiag

%description -n python3-seqdiag
seqdiag generate sequence-diagram image file from spec-text file.


%prep
%setup -q

%build
%py_build
%py3_build

%install
%__rm -rf %{buildroot}
%py_install
%py3_install

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE
%doc examples README*
#%{_bindir}/seqdiag
%{python_sitelib}/seqdiag-%{version}-py*.egg-info
%{python_sitelib}/seqdiag
%{python_sitelib}/seqdiag_sphinxhelper.*

%files -n python3-seqdiag
%defattr(-,root,root,-)
%license LICENSE
%doc examples README*
%{_bindir}/seqdiag
%{python3_sitelib}/seqdiag*
%{python3_sitelib}/__pycache__/*

%changelog
* Thu Nov 21 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.6-1
- new upstream release.
- added python3 support.

* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.9.0-1
- update to 0.9.0
- drop src/TODO.txt: upstream deleted

* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 0.8.2-1
- new upstream release
 - drop sphinxcontrib_seqdiag.*: upstream removed
- add Requires: python(abi) = %%pyver
- add Summary(ja)
- update URL: upstream moved

* Wed Feb 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.3-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.3.3-1
- Initial build.

